Payments

Methods

GET

Retrieve Single Payment

/backend/api/v1/payments/ID - fetch payment with specified ID.

List Payments

/backend/api/v1/payments/ - list all payments.

/backend/api/v1/customers/ID/payments/ - list valid payments belonging to customer with specified ID.

By default only valid (non-reversed) payments are shown.

Additional Query Parameters
Parameter Type Required Description
reversed flag No Show reversed payments
includeReversed flag No Show all payments, including reversed
minDate date No Only show payments dated on or after
maxDate date No Only show payments dated on or before
minReversedDate date No Only show payments reversed on or after
maxReversedDate date No Only show payments reversed on or before
reversedSince datetime No Only include payments reversed since
reinstatedSince datetime No Only include payments reinstated since
collectedSince datetime No Only include payments collected since
cancelledSince datetime No Only include payments with collection cancelled since

Note: The min/maxReversedDate filters use the reversal date shown on the payment, and the reversedSince filter uses the time the reversal took place. These will often be the same, but this is not guaranteed.

POST

/backend/api/v1/customers/ID/payments/ - add a new payment to the specified customer, the newly-added payment will be returned.

PATCH

/backend/api/v1/payments/ID - update payment with specified ID. The modified payment will be returned.

DELETE

/backend/api/v1/payments/ID - delete payment with specified ID.

Fields

Field Name Type Description
ourReference Our Reference Text Internal reference number for this payment
customerReference Customer’s Reference Text Reference number provided by the customer for this payment
paymentDate Payment Date Date Date when the payment was made
paymentReversedDate Payment Reversed Date Date Date when the payment was reversed, if applicable
status Status Preset Value(s) Array of status names currently active for this payment
paymentAmount Amount Currency Amount of the payment in the customer’s currency
paymentMethod Method Preset Value Method used for this payment
invoiceID Display on Invoice Text The ID of the invoice this payment is displayed on
invoiceIDReversed Display Reversal On Invoice Text The ID of the invoice showing the reversal of this payment
id Payment ID Text The unique identifier for this payment

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket